module Main where

import Rolling.Common
import qualified Rolling.Render as Render

import qualified Rolling.PBTA as PBTA
import qualified Rolling.FITD as FITD
import qualified Rolling.PBTA20 as PBTA20
import qualified Rolling.Ironsworn as Ironsworn

main :: IO ()
main = mapM_ Render.diagram diagrams

diagrams :: [Diagram]
diagrams =
  [ Diagram
      { title = "PbtA rolls (2d6)"
      , filename = "pbta.png"
      , rolls = [ (n, PBTA.roll n) | n <- [0..5] ]
      }
  , Diagram
      { title = "FitD roll (d6 pool)"
      , filename = "fitd.png"
      , rolls = [ (n, FITD.roll n) | n <- [0..5] ]
      }
  , Diagram
      { title = "PbtA-ish roll (d20)"
      , filename = "d20.png"
      , rolls = [ (n, PBTA20.roll n) | n <- [0..10] ]
      }
  , Diagram
      { title = "Ironsworn roll"
      , filename = "ironsworn.png"
      , rolls = [ (n, Ironsworn.roll n) | n <- [0..5] ]
      }
  ]
